summaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2021-04-12 16:30:45 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2021-04-12 16:30:45 +0000
commit105ad30a29266eafedd8ef79bc21218b92415907 (patch)
treeca61c4aec3a3feceef50a88e5d125bbb2621ad3a /packaging
parentReleasing debian version 1.30.0-1. (diff)
downloadnetdata-105ad30a29266eafedd8ef79bc21218b92415907.tar.xz
netdata-105ad30a29266eafedd8ef79bc21218b92415907.zip
Merging upstream version 1.30.1.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'packaging')
-rw-r--r--packaging/docker/Dockerfile4
-rw-r--r--packaging/installer/functions.sh4
-rwxr-xr-xpackaging/installer/install-required-packages.sh10
-rwxr-xr-xpackaging/installer/kickstart-static64.sh4
-rwxr-xr-xpackaging/installer/kickstart.sh4
-rw-r--r--packaging/installer/methods/kickstart-64.md2
-rw-r--r--packaging/installer/methods/kickstart.md2
-rwxr-xr-xpackaging/installer/netdata-uninstaller.sh2
-rwxr-xr-xpackaging/installer/netdata-updater.sh26
-rwxr-xr-xpackaging/makeself/install-alpine-packages.sh2
-rwxr-xr-xpackaging/makeself/install-or-update.sh2
-rw-r--r--packaging/makeself/makeself-help-header.txt2
-rw-r--r--packaging/makeself/makeself-license.txt2
-rwxr-xr-xpackaging/makeself/makeself.sh4
-rw-r--r--packaging/makeself/openssl.version2
-rwxr-xr-xpackaging/scripts/install.sh2
-rw-r--r--packaging/version2
17 files changed, 38 insertions, 38 deletions
diff --git a/packaging/docker/Dockerfile b/packaging/docker/Dockerfile
index 41e887001..d91d1a773 100644
--- a/packaging/docker/Dockerfile
+++ b/packaging/docker/Dockerfile
@@ -1,7 +1,7 @@
# SPDX-License-Identifier: GPL-3.0-or-later
# author : paulfantom
-# This image contains preinstalled dependecies
+# This image contains preinstalled dependencies
# hadolint ignore=DL3007
FROM netdata/builder:latest as builder
@@ -52,7 +52,7 @@ RUN mkdir -p /app/usr/sbin/ \
chmod +x /app/usr/sbin/run.sh
#####################################################################
-# This image contains preinstalled dependecies
+# This image contains preinstalled dependencies
# hadolint ignore=DL3007
FROM netdata/base:latest as base
diff --git a/packaging/installer/functions.sh b/packaging/installer/functions.sh
index 03ceb2a52..fd10fcfaf 100644
--- a/packaging/installer/functions.sh
+++ b/packaging/installer/functions.sh
@@ -760,7 +760,7 @@ create_netdata_conf() {
run_ok "New configuration saved for you to edit at ${path}"
else
[ -f "${path}.new" ] && rm "${path}.new"
- run_failed "Cannnot download configuration from netdata daemon using url '${url}'"
+ run_failed "Cannot download configuration from netdata daemon using url '${url}'"
url=''
fi
fi
@@ -891,7 +891,7 @@ portable_add_user_to_group() {
}
safe_sha256sum() {
- # Within the contexct of the installer, we only use -c option that is common between the two commands
+ # Within the context of the installer, we only use -c option that is common between the two commands
# We will have to reconsider if we start non-common options
if command -v sha256sum > /dev/null 2>&1; then
sha256sum "$@"
diff --git a/packaging/installer/install-required-packages.sh b/packaging/installer/install-required-packages.sh
index 23cbe12d5..203f7c6cb 100755
--- a/packaging/installer/install-required-packages.sh
+++ b/packaging/installer/install-required-packages.sh
@@ -141,7 +141,7 @@ EOF
release2lsb_release() {
# loads the given /etc/x-release file
- # this file is normaly a single line containing something like
+ # this file is normally a single line containing something like
#
# X Linux release 1.2.3 (release-name)
#
@@ -322,8 +322,8 @@ user_picks_distribution() {
echo >&2 "I found though that the following installers are available:"
echo >&2
[ -n "${apt_get}" ] && echo >&2 " - Debian/Ubuntu based (installer is: apt-get)" && opts="apt-get ${opts}"
- [ -n "${yum}" ] && echo >&2 " - Redhat/Fedora/Centos based (installer is: yum)" && opts="yum ${opts}"
- [ -n "${dnf}" ] && echo >&2 " - Redhat/Fedora/Centos based (installer is: dnf)" && opts="dnf ${opts}"
+ [ -n "${yum}" ] && echo >&2 " - Red Hat/Fedora/CentOS based (installer is: yum)" && opts="yum ${opts}"
+ [ -n "${dnf}" ] && echo >&2 " - Red Hat/Fedora/CentOS based (installer is: dnf)" && opts="dnf ${opts}"
[ -n "${zypper}" ] && echo >&2 " - SuSe based (installer is: zypper)" && opts="zypper ${opts}"
[ -n "${pacman}" ] && echo >&2 " - Arch Linux based (installer is: pacman)" && opts="pacman ${opts}"
[ -n "${emerge}" ] && echo >&2 " - Gentoo based (installer is: emerge)" && opts="emerge ${opts}"
@@ -1265,7 +1265,7 @@ suitable_package() {
return 0
elif [ -z "${p}" ]; then
echo >&2 "WARNING"
- echo >&2 "package ${1} is not availabe in this system."
+ echo >&2 "package ${1} is not available in this system."
echo >&2
return 1
else
@@ -1492,7 +1492,7 @@ install_apt_get() {
prompt() {
if [ "${NON_INTERACTIVE}" -eq 1 ]; then
echo >&2 "Running in non-interactive mode, assuming yes (y)"
- echo >&2 " > Would have promptedfor ${1} ..."
+ echo >&2 " > Would have prompted for ${1} ..."
return 0
fi
diff --git a/packaging/installer/kickstart-static64.sh b/packaging/installer/kickstart-static64.sh
index a86a62fcd..36aca54d7 100755
--- a/packaging/installer/kickstart-static64.sh
+++ b/packaging/installer/kickstart-static64.sh
@@ -151,7 +151,7 @@ create_tmp_directory() {
if _cannot_use_tmpdir /tmp ; then
if _cannot_use_tmpdir "${PWD}" ; then
echo >&2
- echo >&2 "Unable to find a usable temprorary directory. Please set \$TMPDIR to a path that is both writable and allows execution of files and try again."
+ echo >&2 "Unable to find a usable temporary directory. Please set \$TMPDIR to a path that is both writable and allows execution of files and try again."
exit 1
else
TMPDIR="${PWD}"
@@ -283,7 +283,7 @@ while [ -n "${1}" ]; do
done
if [ ! "${DO_NOT_TRACK:-0}" -eq 0 ] || [ -n "$DO_NOT_TRACK" ]; then
- NETDATA_INSTALLER_OPTIONS="${NETDATA_INSTALLER_OPTIONS:+${NETDATA_INSTALLER_OPTIONS} }--disable-telemtry"
+ NETDATA_INSTALLER_OPTIONS="${NETDATA_INSTALLER_OPTIONS:+${NETDATA_INSTALLER_OPTIONS} }--disable-telemetry"
fi
if [ -n "${NETDATA_DISABLE_CLOUD}" ]; then
diff --git a/packaging/installer/kickstart.sh b/packaging/installer/kickstart.sh
index bd18b7db5..3c90cc816 100755
--- a/packaging/installer/kickstart.sh
+++ b/packaging/installer/kickstart.sh
@@ -183,7 +183,7 @@ create_tmp_directory() {
if _cannot_use_tmpdir /tmp ; then
if _cannot_use_tmpdir "${PWD}" ; then
echo >&2
- echo >&2 "Unable to find a usable temprorary directory. Please set \$TMPDIR to a path that is both writable and allows execution of files and try again."
+ echo >&2 "Unable to find a usable temporary directory. Please set \$TMPDIR to a path that is both writable and allows execution of files and try again."
exit 1
else
TMPDIR="${PWD}"
@@ -293,7 +293,7 @@ dependencies() {
}
safe_sha256sum() {
- # Within the contexct of the installer, we only use -c option that is common between the two commands
+ # Within the context of the installer, we only use -c option that is common between the two commands
# We will have to reconsider if we start non-common options
if command -v sha256sum > /dev/null 2>&1; then
sha256sum "$@"
diff --git a/packaging/installer/methods/kickstart-64.md b/packaging/installer/methods/kickstart-64.md
index dbb0cd464..ea6cf32ea 100644
--- a/packaging/installer/methods/kickstart-64.md
+++ b/packaging/installer/methods/kickstart-64.md
@@ -77,7 +77,7 @@ To use `md5sum` to verify the integrity of the `kickstart-static64.sh` script yo
command above, run the following:
```bash
-[ "33ed36d80c7db0e501b68c4c0c3ceb02" = "$(curl -Ss https://my-netdata.io/kickstart-static64.sh | md5sum | cut -d ' ' -f 1)" ] && echo "OK, VALID" || echo "FAILED, INVALID"
+[ "c735fd724be5726c8a1850deed2793b8" = "$(curl -Ss https://my-netdata.io/kickstart-static64.sh | md5sum | cut -d ' ' -f 1)" ] && echo "OK, VALID" || echo "FAILED, INVALID"
```
If the script is valid, this command will return `OK, VALID`.
diff --git a/packaging/installer/methods/kickstart.md b/packaging/installer/methods/kickstart.md
index 8ad99dc4a..0fc09ae83 100644
--- a/packaging/installer/methods/kickstart.md
+++ b/packaging/installer/methods/kickstart.md
@@ -60,7 +60,7 @@ To use `md5sum` to verify the integrity of the `kickstart.sh` script you will do
run the following:
```bash
-[ "35e92cd3fd8a29621e23962ac5626dfc" = "$(curl -Ss https://my-netdata.io/kickstart.sh | md5sum | cut -d ' ' -f 1)" ] && echo "OK, VALID" || echo "FAILED, INVALID"
+[ "a708de3790fa39188babe71eb1639c66" = "$(curl -Ss https://my-netdata.io/kickstart.sh | md5sum | cut -d ' ' -f 1)" ] && echo "OK, VALID" || echo "FAILED, INVALID"
```
If the script is valid, this command will return `OK, VALID`.
diff --git a/packaging/installer/netdata-uninstaller.sh b/packaging/installer/netdata-uninstaller.sh
index f62934f72..a248860da 100755
--- a/packaging/installer/netdata-uninstaller.sh
+++ b/packaging/installer/netdata-uninstaller.sh
@@ -14,7 +14,7 @@
usage="$(basename "$0") [-h] [-f ] -- program to calculate the answer to life, the universe and everything
where:
- -e, --env path to environment file (defauls to '/etc/netdata/.environment'
+ -e, --env path to environment file (defaults to '/etc/netdata/.environment'
-f, --force force uninstallation and do not ask any questions
-h show this help text
-y, --yes flag needs to be set to proceed with uninstallation"
diff --git a/packaging/installer/netdata-updater.sh b/packaging/installer/netdata-updater.sh
index 2b833d79c..ad7412255 100755
--- a/packaging/installer/netdata-updater.sh
+++ b/packaging/installer/netdata-updater.sh
@@ -65,7 +65,7 @@ if [ "${ENVIRONMENT_FILE}" == "THIS_SHOULD_BE_REPLACED_BY_INSTALLER_SCRIPT" ]; t
fi
safe_sha256sum() {
- # Within the contexct of the installer, we only use -c option that is common between the two commands
+ # Within the context of the installer, we only use -c option that is common between the two commands
# We will have to reconsider if we start non-common options
if command -v sha256sum > /dev/null 2>&1; then
sha256sum "$@"
@@ -123,7 +123,7 @@ create_tmp_directory() {
if _cannot_use_tmpdir /tmp ; then
if _cannot_use_tmpdir "${PWD}" ; then
echo >&2
- echo >&2 "Unable to find a usable temprorary directory. Please set \$TMPDIR to a path that is both writable and allows execution of files and try again."
+ echo >&2 "Unable to find a usable temporary directory. Please set \$TMPDIR to a path that is both writable and allows execution of files and try again."
exit 1
else
TMPDIR="${PWD}"
@@ -215,7 +215,7 @@ parse_version() {
r="${1}"
if echo "${r}" | grep -q '^v.*'; then
# shellcheck disable=SC2001
- # XXX: Need a regex group subsitutation here.
+ # XXX: Need a regex group substitution here.
r="$(echo "${r}" | sed -e 's/^v\(.*\)/\1/')"
fi
@@ -234,13 +234,11 @@ parse_version() {
}
get_latest_version() {
- local latest
if [ "${RELEASE_CHANNEL}" == "stable" ]; then
- latest="$(download "https://api.github.com/repos/netdata/netdata/releases/latest" /dev/stdout | grep tag_name | cut -d'"' -f4)"
+ download "https://api.github.com/repos/netdata/netdata/releases/latest" /dev/stdout | grep tag_name | cut -d'"' -f4
else
- latest="$(download "$NETDATA_NIGHTLIES_BASEURL/latest-version.txt" /dev/stdout)"
+ download "$NETDATA_NIGHTLIES_BASEURL/latest-version.txt" /dev/stdout
fi
- parse_version "$latest"
}
set_tarball_urls() {
@@ -272,7 +270,9 @@ update() {
download "${NETDATA_TARBALL_CHECKSUM_URL}" "${ndtmpdir}/sha256sum.txt" >&3 2>&3
current_version="$(command -v netdata > /dev/null && parse_version "$(netdata -v | cut -f 2 -d ' ')")"
- latest_version="$(get_latest_version)"
+ latest_tag="$(get_latest_version)"
+ latest_version="$(parse_version "${latest_tag}")"
+ path_version="$(echo "${latest_tag}" | cut -f 1 -d "-")"
# If we can't get the current version for some reason assume `0`
current_version="${current_version:-0}"
@@ -295,9 +295,9 @@ update() {
NEW_CHECKSUM="$(safe_sha256sum netdata-latest.tar.gz 2> /dev/null | cut -d' ' -f1)"
tar -xf netdata-latest.tar.gz >&3 2>&3
rm netdata-latest.tar.gz >&3 2>&3
- cd netdata-* || exit 1
+ cd "$(find . -maxdepth 1 -name "netdata-${path_version}*" | head -n 1)" || exit 1
RUN_INSTALLER=1
- cd "${NETDATA_LOCAL_TARBAL_OVERRIDE}" || exit 1
+ cd "${NETDATA_LOCAL_TARBALL_OVERRIDE}" || exit 1
fi
# We got the sources, run the update now
@@ -362,7 +362,7 @@ while [ -n "${1}" ]; do
fi
done
-# Random sleep to aileviate stampede effect of Agents upgrading
+# Random sleep to alleviate stampede effect of Agents upgrading
# and disconnecting/reconnecting at the same time (or near to).
# But only we're not a controlling terminal (tty)
# Randomly sleep between 1s and 60m
@@ -376,7 +376,7 @@ source "${ENVIRONMENT_FILE}" || exit 1
# We dont expect to find lib dir variable on older installations, so load this path if none found
export NETDATA_LIB_DIR="${NETDATA_LIB_DIR:-${NETDATA_PREFIX}/var/lib/netdata}"
-# Source the tarbal checksum, if not already available from environment (for existing installations with the old logic)
+# Source the tarball checksum, if not already available from environment (for existing installations with the old logic)
[[ -z "${NETDATA_TARBALL_CHECKSUM}" ]] && [[ -f ${NETDATA_LIB_DIR}/netdata.tarball.checksum ]] && NETDATA_TARBALL_CHECKSUM="$(cat "${NETDATA_LIB_DIR}/netdata.tarball.checksum")"
# Grab the nightlies baseurl (defaulting to our Google Storage bucket)
@@ -412,7 +412,7 @@ if [ "${IS_NETDATA_STATIC_BINARY}" == "yes" ]; then
download "${NETDATA_TARBALL_CHECKSUM_URL}" "${ndtmpdir}/sha256sum.txt"
download "${NETDATA_TARBALL_URL}" "${ndtmpdir}/netdata-latest.gz.run"
if ! grep netdata-latest.gz.run "${ndtmpdir}/sha256sum.txt" | safe_sha256sum -c - > /dev/null 2>&1; then
- fatal "Static binary checksum validation failed. Stopping netdata installation and leaving binary in ${ndtmpdir}\nUsually this is a result of an older copy of the file being cached somehere and can be resolved by simply retrying in an hour."
+ fatal "Static binary checksum validation failed. Stopping netdata installation and leaving binary in ${ndtmpdir}\nUsually this is a result of an older copy of the file being cached somewhere and can be resolved by simply retrying in an hour."
fi
# Do not pass any options other than the accept, for now
diff --git a/packaging/makeself/install-alpine-packages.sh b/packaging/makeself/install-alpine-packages.sh
index b4e516be2..a3e8cf605 100755
--- a/packaging/makeself/install-alpine-packages.sh
+++ b/packaging/makeself/install-alpine-packages.sh
@@ -39,7 +39,7 @@ apk add --no-cache -U \
gzip \
xz || exit 1
-# snappy doesnt have static version in alpine, let's compile it
+# snappy doesn't have static version in alpine, let's compile it
export SNAPPY_VER="1.1.7"
wget -O /snappy.tar.gz https://github.com/google/snappy/archive/${SNAPPY_VER}.tar.gz
tar -C / -xf /snappy.tar.gz
diff --git a/packaging/makeself/install-or-update.sh b/packaging/makeself/install-or-update.sh
index bbf631bcb..11fcc091c 100755
--- a/packaging/makeself/install-or-update.sh
+++ b/packaging/makeself/install-or-update.sh
@@ -58,7 +58,7 @@ while [ "${1}" ]; do
done
if [ ! "${DO_NOT_TRACK:-0}" -eq 0 ] || [ -n "$DO_NOT_TRACK" ]; then
- REINSTALL_OPTIONS="${REINSTALL_OPTIONS} --disable-telemtry"
+ REINSTALL_OPTIONS="${REINSTALL_OPTIONS} --disable-telemetry"
fi
deleted_stock_configs=0
diff --git a/packaging/makeself/makeself-help-header.txt b/packaging/makeself/makeself-help-header.txt
index 9a8a3ec33..b2b1e4a76 100644
--- a/packaging/makeself/makeself-help-header.txt
+++ b/packaging/makeself/makeself-help-header.txt
@@ -28,7 +28,7 @@
- /lib/systemd/system/netdata.service
- or, for older Centos, Debian/Ubuntu or OpenRC Gentoo:
+ or, for older CentOS, Debian/Ubuntu or OpenRC Gentoo:
- /etc/init.d/netdata will be created
diff --git a/packaging/makeself/makeself-license.txt b/packaging/makeself/makeself-license.txt
index bf482c465..518d85d95 100644
--- a/packaging/makeself/makeself-license.txt
+++ b/packaging/makeself/makeself-license.txt
@@ -28,7 +28,7 @@
- /lib/systemd/system/netdata.service
- or, for older Centos, Debian/Ubuntu or OpenRC Gentoo:
+ or, for older CentOS, Debian/Ubuntu or OpenRC Gentoo:
- /etc/init.d/netdata will be created
diff --git a/packaging/makeself/makeself.sh b/packaging/makeself/makeself.sh
index f3cb69976..15a002884 100755
--- a/packaging/makeself/makeself.sh
+++ b/packaging/makeself/makeself.sh
@@ -40,7 +40,7 @@
# - 2.0.1 : Added --copy
# - 2.1.0 : Allow multiple tarballs to be stored in one archive, and incremental updates.
# Added --nochown for archives
-# Stopped doing redundant checksums when not necesary
+# Stopped doing redundant checksums when not necessary
# - 2.1.1 : Work around insane behavior from certain Linux distros with no 'uncompress' command
# Cleaned up the code to handle error codes from compress. Simplified the extraction code.
# - 2.1.2 : Some bug fixes. Use head -n to avoid problems.
@@ -63,7 +63,7 @@
# Check for available disk space before extracting to the target directory (Andreas Schweitzer)
# Allow extraction to run asynchronously (patch by Peter Hatch)
# Use file descriptors internally to avoid error messages (patch by Kay Tiong Khoo)
-# - 2.1.6 : Replaced one dot per file progress with a realtime progress percentage and a spining cursor (Guy Baconniere)
+# - 2.1.6 : Replaced one dot per file progress with a realtime progress percentage and a spinning cursor (Guy Baconniere)
# Added --noprogress to prevent showing the progress during the decompression (Guy Baconniere)
# Added --target dir to allow extracting directly to a target directory (Guy Baconniere)
# - 2.2.0 : Many bugfixes, updates and contributions from users. Check out the project page on Github for the details.
diff --git a/packaging/makeself/openssl.version b/packaging/makeself/openssl.version
index adc000b35..aa2c66c02 100644
--- a/packaging/makeself/openssl.version
+++ b/packaging/makeself/openssl.version
@@ -1 +1 @@
-OpenSSL_1_1_1h
+OpenSSL_1_1_1k
diff --git a/packaging/scripts/install.sh b/packaging/scripts/install.sh
index c591b0bee..b14ca11e5 100755
--- a/packaging/scripts/install.sh
+++ b/packaging/scripts/install.sh
@@ -77,7 +77,7 @@ case "${DISTRO}" in
install_suse_like
;;
*)
- printf "ERROR: unspported distro: %s_%s\n" "${DISTRO}" "${DISTRO_VERSION}"
+ printf "ERROR: unsupported distro: %s_%s\n" "${DISTRO}" "${DISTRO_VERSION}"
exit 1
;;
esac
diff --git a/packaging/version b/packaging/version
index c8c2eaea5..46aa51be0 100644
--- a/packaging/version
+++ b/packaging/version
@@ -1 +1 @@
-v1.30.0
+v1.30.1